Project

General

Profile

Bug #5587

Rudder is unable to compare two package version correctly

Added by Matthieu CERDA over 5 years ago. Updated over 5 years ago.

Status:
Released
Priority:
1
Assignee:
Matthieu CERDA
Category:
Techniques
Target version:
Pull Request:
Severity:
User visibility:
Effort required:
Priority:

Description

CFEngine provides bodies to do that (using rpmvercmp for RPM and dpkg on DEB), but we need to use them to have a working comparison that makes version specific package installation requirements work correctly.


Subtasks

Bug #5591: Rudder should make sure rpmvercmp is packaged and copied as part of the required CFEngine binariesReleased2014-09-29Jonathan CLARKEActions
Bug #5595: Update the Techniques to use rpmvercmp for RPM version comparisonsReleased2014-09-30Jonathan CLARKEActions
#1

Updated by Matthieu CERDA over 5 years ago

  • Description updated (diff)
#2

Updated by Matthieu CERDA over 5 years ago

  • Status changed from 8 to 12
#3

Updated by Matthieu CERDA over 5 years ago

  • Status changed from 12 to Pending release
#4

Updated by Vincent MEMBRÉ over 5 years ago

  • Tracker changed from User story to Bug
#5

Updated by Vincent MEMBRÉ over 5 years ago

  • Category changed from System integration to Techniques
#6

Updated by Vincent MEMBRÉ over 5 years ago

  • Status changed from Pending release to Released

This bug has been fixed in Rudder 2.10.7 and 2.11.4, which were released today.

Also available in: Atom PDF